AWS IoT Device SDK C++ v2: Aws::Eventstreamrpc::MessageAmendment Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | List of all members
Aws::Eventstreamrpc::MessageAmendment Class Referencefinal

`#include <EventStreamClient.h>`

## Public Member Functions
| MessageAmendment (const MessageAmendment &lhs)
| MessageAmendment (MessageAmendment &&rhs)
MessageAmendment & | operator= (const MessageAmendment &lhs)
| ~MessageAmendment () noexcept
| MessageAmendment (Crt::Allocator *allocator=Crt::g_allocator) noexcept
| MessageAmendment (const Crt::List< EventStreamHeader > &headers, Crt::Optional< Crt::ByteBuf > &payload, Crt::Allocator *allocator) noexcept
| MessageAmendment (const Crt::List< EventStreamHeader > &headers, Crt::Allocator *allocator=Crt::g_allocator) noexcept
| MessageAmendment (Crt::List< EventStreamHeader > &&headers, Crt::Allocator *allocator=Crt::g_allocator) noexcept
| MessageAmendment (const Crt::ByteBuf &payload, Crt::Allocator *allocator=Crt::g_allocator) noexcept
void | AddHeader (EventStreamHeader &&header) noexcept
void | SetPayload (const Crt::Optional< Crt::ByteBuf > &payload) noexcept
const Crt::List< EventStreamHeader > & | GetHeaders () const noexcept
const Crt::Optional< Crt::ByteBuf > & | GetPayload () const noexcept

## Detailed Description

A means to append headers or modify the payload of a message to be sent by the client.

Note
  The exception specifiers for move, copy constructors & assignment operators are required since this class is usually wrapped with `Crt::Optional`.

## Constructor & Destructor Documentation

## ◆ MessageAmendment() [1/7]

Aws::Eventstreamrpc::MessageAmendment::MessageAmendment | ( | const MessageAmendment & | lhs | ) |

## ◆ MessageAmendment() [2/7]

Aws::Eventstreamrpc::MessageAmendment::MessageAmendment | ( | MessageAmendment && | rhs | ) |

## ◆ ~MessageAmendment()

Aws::Eventstreamrpc::MessageAmendment::~MessageAmendment | ( |  | ) |
| noexcept

## ◆ MessageAmendment() [3/7]

Aws::Eventstreamrpc::MessageAmendment::MessageAmendment | ( | Crt::Allocator * | allocator = `Crt::g_allocator` | ) |
| explicitnoexcept

## ◆ MessageAmendment() [4/7]

Aws::Eventstreamrpc::MessageAmendment::MessageAmendment | ( | const Crt::List< EventStreamHeader > & | headers,
|  | Crt::Optional< Crt::ByteBuf > & | payload,
|  | Crt::Allocator * | allocator
| ) |  |
| noexcept

## ◆ MessageAmendment() [5/7]

Aws::Eventstreamrpc::MessageAmendment::MessageAmendment | ( | const Crt::List< EventStreamHeader > & | headers,
|  | Crt::Allocator * | allocator = `Crt::g_allocator`
| ) |  |
| noexcept

## ◆ MessageAmendment() [6/7]

Aws::Eventstreamrpc::MessageAmendment::MessageAmendment | ( | Crt::List< EventStreamHeader > && | headers,
|  | Crt::Allocator * | allocator = `Crt::g_allocator`
| ) |  |
| noexcept

## ◆ MessageAmendment() [7/7]

Aws::Eventstreamrpc::MessageAmendment::MessageAmendment | ( | const Crt::ByteBuf & | payload,
|  | Crt::Allocator * | allocator = `Crt::g_allocator`
| ) |  |
| noexcept

## Member Function Documentation

## ◆ AddHeader()

void Aws::Eventstreamrpc::MessageAmendment::AddHeader | ( | EventStreamHeader && | header | ) |
| noexcept

## ◆ GetHeaders()

const Crt::List< EventStreamHeader > & Aws::Eventstreamrpc::MessageAmendment::GetHeaders | ( |  | ) | const
| noexcept

## ◆ GetPayload()

const Crt::Optional< Crt::ByteBuf > & Aws::Eventstreamrpc::MessageAmendment::GetPayload | ( |  | ) | const
| noexcept

## ◆ operator=()

MessageAmendment & Aws::Eventstreamrpc::MessageAmendment::operator= | ( | const MessageAmendment & | lhs | ) |

## ◆ SetPayload()

void Aws::Eventstreamrpc::MessageAmendment::SetPayload | ( | const Crt::Optional< Crt::ByteBuf > & | payload | ) |
| noexcept

The documentation for this class was generated from the following files:

- eventstream_rpc/include/aws/eventstreamrpc/EventStreamClient.h
- eventstream_rpc/source/EventStreamClient.cpp